# Uses of Interface
org.codehaus.commons.compiler.ICompiler

Packages that use ICompiler
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of ICompiler in org.codehaus.commons.compiler

Classes in org.codehaus.commons.compiler that implement ICompiler
Modifier and Type
Class
Description
`class`
`AbstractCompiler`
A base class and wrapper for
invalid reference

    Compiler

that implements all redundant API methods.
Methods in org.codehaus.commons.compiler that return ICompiler
Modifier and Type
Method
Description
`ICompiler`
ICompilerFactory.`newCompiler()`

## Uses of ICompiler in org.codehaus.commons.compiler.jdk

Classes in org.codehaus.commons.compiler.jdk that implement ICompiler
Modifier and Type
Class
Description
`class`
`Compiler`
`javax.tools`-based implementation of the `ICompiler`.
Methods in org.codehaus.commons.compiler.jdk that return ICompiler
Modifier and Type
Method
Description
`ICompiler`
CompilerFactory.`newCompiler()`

## Uses of ICompiler in org.codehaus.janino

Classes in org.codehaus.janino that implement ICompiler
Modifier and Type
Class
Description
`class`
`Compiler`
JANINO implementation of `ICompiler`.
Methods in org.codehaus.janino that return ICompiler
Modifier and Type
Method
Description
`ICompiler`
CompilerFactory.`newCompiler()`